Skip to main content
PUT
Stream unchanged image bytes to a reserved upload

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

artifactId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/octet-stream

The body is of type file.

Response

Verified media receipt

artifactId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
mediaType
string
required
byteSize
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
sha256
string
required
state
enum<string>
required
Available options:
pending,
uploading,
ready,
deleting,
deleted
uploadUrl
string<uri>
required
readUrl
string<uri>
required